Bug 1001594 - IndexOutOfBoundsException when unregistering listener on JMXNotifier
IndexOutOfBoundsException when unregistering listener on JMXNotifier
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER2
: 6.0.0
Assigned To: Gary Brown
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 07:14 EDT by Jiri Pechanec
Modified: 2015-08-02 19:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-260 Major Closed Incorrect loop counter init in JMXNotifier when removing listeners 2014-07-02 05:19:43 EDT

  None (edit)
Description Jiri Pechanec 2013-08-27 07:14:49 EDT
There is a loop in method JMXNotifier.removeNotificationListener starting

for (int i=_notificationDetails.size(); i >= 0; i--) {
    NotificationDetails n=_notificationDetails.get(i)

This code is incorrect as the last item in a list has alvays index size() - 1, not size()

The sam issue applies for the other removeNotificationListener.
Comment 1 Jiri Pechanec 2013-09-13 09:08:05 EDT
Verified in ER2
Comment 5 JBoss JIRA Server 2014-07-02 05:19:44 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-260 to Closed

Note You need to log in before you can comment on or make changes to this bug.